List kudos
GET
/activity
const url = 'https://kmlrvcofvtzdlbomxrbp.supabase.co/functions/v1/external-api/activity?limit=100&format=json&since=2026-09-01T00%3A00%3A00Z';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://kmlrvcofvtzdlbomxrbp.supabase.co/functions/v1/external-api/activity?limit=100&format=json&since=2026-09-01T00%3A00%3A00Z' \ --header 'Authorization: Bearer <token>'Kudos sent between people in your company, newest first, with sender, recipient and category.
/kudos is an alias. Requires the read:activity scope.
Category names come back in the company’s default language.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”limit
integer
How many rows to return, 1 to 1000.
format
string
csv returns the same rows as CSV, for Excel, Google Sheets or Power BI.
since
string format: date-time
Only rows created at or after this time (ISO 8601).
until
string format: date-time
Only rows created at or before this time (ISO 8601).
category_id
string format: uuid
sender_id
string format: uuid
receiver_id
string format: uuid
Responses
Section titled “ Responses ”Kudos, newest first.
Array<object>
object
id
string format: uuid
timestamp
string format: date-time
sender_name
string
sender_email
string
receiver_name
string
receiver_email
string
message
string
category
string
Example
[ { "category": "Teamwork" }]string
The key is missing, malformed or revoked.
Media typeapplication/json
object
error
string
Example
{ "error": "Unauthorized: Invalid or missing API Key"}The key works but does not have the scope this endpoint needs.
Media typeapplication/json
object
error
string
Example
{ "error": "Forbidden: this key is missing the \"read:members\" scope"}Something went wrong on our side. The response does not include details.
Media typeapplication/json
object
error
string
Example
{ "error": "Internal Server Error"}